{{- if .Values.rootInfraEnabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: "{{ .Values.rootEnvironment }}-root-infra"
  namespace: argocd
  finalizers:
   - resources-finalizer.argocd.argoproj.io
  annotations:
    argocd.argoproj.io/sync-wave: {{ .Values.syncWave | default "-2" | quote }}
spec:
  project: default
  syncPolicy:
    automated:
      #selfHeal: true
      prune: true
      allowEmpty: true
  destination:
    server: https://kubernetes.default.svc
    namespace: "traefik"
  source:
    path: charts/infrastructure/environment-infra/root-infra
    repoURL: {{ .Values.global.source.repoURL }}
    targetRevision: {{ .Values.global.source.targetRevision }}
    helm:
      parameters:
        - name: rootEnvironment
          value: {{ $.Values.rootEnvironment }}
        - name: ingressDomain
          value: {{ $.Values.ingressDomain }}
{{- end -}}